Page MenuHomePhabricator

CX1: when translating from LTR to RTL language, adding an image does not by itself trigger a change event
Open, NormalPublic

Description

When translating from LTR to RTL, the text is not copied in any way. Clicking an image copies it, but leaves the caption empty. This has several effects:

  • If clicking an image is the first thing that the translator does, the Publish button stays gray.
  • The "Clear paragraph" button stays gray until editing the caption.
  • DONE: Publishing the page doesn't publish the image - not even with an empty caption.

All the points must be fixed, but the last one is the most important - it's confusing to see an image in the translation interface and not to see it in the published article. See also T108460 - suggesting users to type a caption, but that's a separate possible design idea and not a solution. The image must be visible in the published article in any case.

Event Timeline

Amire80 created this task.Aug 8 2015, 9:20 AM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Normal.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2015, 9:20 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 7 2015, 9:22 AM
Amire80 set Security to None.

Change 246666 had a related patch set uploaded (by Amire80):
Fix conditions that check whether a section should be saved

https://gerrit.wikimedia.org/r/246666

Change 246666 merged by jenkins-bot:
Fix conditions that check whether a section should be saved

https://gerrit.wikimedia.org/r/246666

Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 6:52 AM
Amire80 updated the task description. (Show Details)
Amire80 removed a project: Patch-For-Review.

The third part is fixed now, the other parts are less urgent.

Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Dec 10 2018, 1:41 PM
Etonkovidova renamed this task from when translating from LTR to RTL language, adding an image does not by itself trigger a change event to CX1: when translating from LTR to RTL language, adding an image does not by itself trigger a change event.Jan 6 2019, 8:38 PM
Etonkovidova moved this task from Check & Move to Bugs on the ContentTranslation board.
Etonkovidova added a subscriber: Etonkovidova.

Checked in wmf.9 for both CX versions.
If MT option is selected - the images' captions are translated (en->he). 'Publish' button stays active for any amount/any type of translated content.

The issue exists only with CX version 1 and when 'Start with an empty paragraph' option is selected as default. The 'Publish' button is inactive.

In CX2, the option 'Start with an empty paragraph' will not transfer images into the target panel - that's it: the empty paragraph (space) is displayed. 'Publish' button is active and allows to publish an empty article.

The issue is limited only to CX version 1 'Start with an empty paragraph' option which is a bug, I've edited the title to provide a clear indication that it's a CX1 bug.

Since CX2 'Start with an empty paragraph' option handles images completely different, I filed T213033: CX2: 'Start with an empty paragraph' does not transfer images to target panel